/*------------------------------------------------------------------------------
 lib/djv_image/io_ppm_etc.cxx

 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include <djv_image/io_ppm.h>

namespace djv_image {
namespace io_ppm {

DJV_STR_OPERATOR_SET(TYPE, label_type())
DJV_STR_OPERATOR_GET(TYPE, label_type())
DJV_STR_OPERATOR_SET(MODE, label_mode())
DJV_STR_OPERATOR_GET(MODE, label_mode())

const List<Str> & label_type()
{
  static const List<Str> data = List<Str>() <<
    "Auto" <<
    "U1";
  return data;
}

const List<Str> & label_mode()
{
  static const List<Str> data = List<Str>() <<
    "ASCII" <<
    "Binary";
  return data;
}

const List<Str> & label_save_option()
{
  static const List<Str> data = List<Str>() <<
    "Type" <<
    "Mode";
  return data;
}

}
}
