#define DJV_DBG

#include <djv_base/file.h>

using namespace djv_base;

void absolute()
{
  DJV_DBG_OBJ("absolute");
  
  const struct Data { Str path; } data [] =
  {
    { "." },
    { ".." },
    { "/" }
  };
  const int data_size = sizeof(data) / sizeof(Data);

  for (int i = 0; i < data_size; ++i)
  {
    const Str tmp = file::path_absolute(data[i].path);
    DJV_DBG_PRN(tmp << " = " << data[i].path);
  }
}

void fix()
{
  DJV_DBG_OBJ("fix");
  
  const Str tmp = file::path_absolute(".");
  DJV_DBG_PRN(tmp << " = " << file::path_fix(tmp));
}

int main(int argc, char ** argv)
{
  absolute();
  fix();

  return 0;
}

