/*------------------------------------------------------------------------------
 lib/djv_image/cgl.h

 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef _DJV_IMAGE_CGL_H
#define _DJV_IMAGE_CGL_H

#include <djv_image/gl.h>
#include <OpenGL/OpenGL.h>

namespace djv_image {
namespace gl {

//------------------------------------------------------------------------------
// CGL

class _Cgl_Device : public Device
{
public:

  _Cgl_Device();
  ~_Cgl_Device();

  void init() throw (Error);

private:

  CGLContextObj _context;
};

//------------------------------------------------------------------------------
// Labels

static const Str
  error_glew = "GLEW",
  error_glew_init = "Initialize: %%",
  error_cgl = "CGL",
  error_cgl_pixel_format = "Pixel Format",
  error_cgl_context_create = "Context Create: %%",
  error_cgl_context_bind = "Context Bind: %%";

}
}

#endif
