#define DJV_DBG

#include <djv_base/dir.h>

using namespace djv_base;

int main(int argc, char ** argv)
{
  DJV_DBG_OBJ("dir_fnc");
  
  DJV_DBG_PRN("desktop = " << dir::desktop());

#if ! defined(WIN32)
  DJV_DBG_PRN("home = " << dir::home());
#endif

#if defined(WIN32)
  DJV_DBG_PRN("drive list = " << dir::drive_list());
#else
  DJV_DBG_PRN("root = " << dir::root());
#endif

  return 0;
}

