#include "base.h"
#include <djv_ui/widget.h>

namespace misc {

class Timeline_Widget : public djv_ui::widget::Widget
{
public:

  Timeline_Widget();
  ~Timeline_Widget();
  
  void set(Project *);
  Project * get() const;
  djv_ui::Signal<Project *> sig;
  
  void dirty();
  void geom(const Box2i &);
  const Box2i & geom() const;
  
private:

  DJV_FL_WIDGET_CALLBACK(Timeline_Widget, scrollbar_callback);
  
  void widget_update();

  Project * _project;
  
  struct P;
  std::auto_ptr<P> _p;
};

}
